Subject: bug#43403: closed (Re: bug#43403: Blender crashes on clicking 'Video Editing'. Segmentation fault)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 21 Sep 2020 22:21:02 +0000

Your bug report

#43403: Blender crashes on clicking 'Video Editing'. Segmentation fault

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
43403: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=43403
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#43403: Blender crashes on clicking 'Video Editing'. Segmentation fault
From: Leo Famulari <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 21 Sep 2020 18:20:19 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On Mon, Sep 21, 2020 at 06:47:37PM +0000, [email-masked] wrote:
> Hello! I'm glad that after update blender is working fine, I cane manage video there.

Great!

Subject: Blender crashes on clicking 'Video Editing'. Segmentation fault
From: [email-masked]
To: "bug-guix" <[email-masked]>
Date: Mon, 14 Sep 2020 17:18:16 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi! I had workable blender long time ago when I used it (in summer). Now, it crashes every time I click 'Video Editing' from menu.
Terminal says this:

$ blender
Color management: using fallback mode for management
Color management: Error could not find role data role.
Read prefs: /home/bob/.config/blender/2.83/config/userpref.blend
Color management: scene view "Filmic" not found, setting default "Standard".
Color management: scene view "Filmic" not found, setting default "Standard".
Writing: /tmp/blender.crash.txt
Segmentation fault

$ cat /tmp/blender.crash.txt
# Blender 2.83.3, Unknown revision

# backtrace
blender(BLI_system_backtrace+0x20) [0x292b9d0]
blender() [0xa958e3]
/gnu/store/fa6wj5bxkj5ll1d7292a70knmyl7a0cr-glibc-2.31/lib/libc.so.6(+0x36b20) [0x7f889a2ccb20]
/gnu/store/lk6a2h2cwshq2kwx1gx0wd8xdr75343m-ffmpeg-4.3.1/lib/libswscale.so.5(+0x6dcba) [0x7f889aa0ecba]

$ blender --version
Color management: using fallback mode for management
Color management: Error could not find role data role.
Blender 2.83.3

$ guix describe
Generation 34 Aug 07 2020 21:03:07 (current)
 guix 672b9bb
 repository URL: https://git.savannah.gnu.org/git/guix.git
 branch: master
 commit: 672b9bb210808e27ab9c87a29e2de36240128151
Deletion of config gives nothing. Would you please recommend something to do?